coap_option Struct Reference

Structures for more convenient handling of options. More...

`#include <pdu.h>`

## Data Fields

unsigned short | key
unsigned int | length

## Detailed Description

Structures for more convenient handling of options.

(To be used with ordered coap_list_t.) The option's data will be added to the end of the coap_option structure (see macro COAP_OPTION_DATA).

Definition at line 214 of file pdu.h.

## Field Documentation

## key

unsigned short coap_option::key

Definition at line 215 of file pdu.h.

## length

unsigned int coap_option::length

Definition at line 216 of file pdu.h.

The documentation for this struct was generated from the following file:

- pdu.h